package org.zeroturnaround.javarebel.integration.generic;

import java.net.URL;
import org.zeroturnaround.javarebel.ClassResource;
import org.zeroturnaround.javarebel.LoggerFactory;
import org.zeroturnaround.javarebel.integration.support.BaseClassResourceSource;
import org.zeroturnaround.javarebel.integration.util.ResourceUtil;

public class FindResourceClassResourceSource extends BaseClassResourceSource {  
  private ClassLoader classloader;
  
  public FindResourceClassResourceSource(ClassLoader classloader) {
    this.classloader = classloader;
  }
  
  public ClassResource getLocalResource(String name) {
    URL url = ResourceUtil.findResource(classloader, name);
    
    if (url == null)
      return null;
    
    return ResourceUtil.asResource(url);
  }

  public ClassResource[] getLocalResources(String name) {
    URL[] urls = ResourceUtil.findResources(classloader, name);
    
    if (urls == null)
      return null;
    
    ClassResource[] result = new ClassResource[urls.length];
    for (int i = 0; i < urls.length; i++) {
      result[i] = ResourceUtil.asResource(urls[i]);
    }
    return result;
  }
}